<?
include_once '../config.php';
include_once '../language/'.$language.'.php';
?>

var pathApp = explorpath = '<?=$pathApp?>';
function close(selector){ // Close modal windows
	$(selector).css('display','none');
}

function load(path = '/'){ // load list files and folders
	$.ajax({
    	type: 'POST',
        url: pathApp+'/app/load.php',
        data: { 'path':path},
        success: function(data){
       		close('#info');
        	jQuery('#Activefile').html(data);
      }
    });
}

function rename(name = ''){
	var newname = $('#newname').val();
 	var path = $('#path').val();
 	var name = $('.item.active').data('path');
 	$.ajax({
    	type: 'POST',
        url: pathApp+'/app/file.php?rename',
        data: {'path':path,'newname':newname,'name':name},
        success: function(data){
       		if(data){
       			load(path);
       		}
      }
    });
}

function itemdelete(path = ''){
		var folder = $('#path').val();
		path = $('.item.active').data('path');
		var type = $('.item.active').data('type');
		path = folder+'/'+path;
		$.ajax({
    	type: 'POST',
        url: pathApp+'/app/file.php?delete',
        data: {'path':path,'type':type},
        success: function(data){
        	load($('#path').val());	
      }	
    });
}

function loadform(name){ //load forms 
	path = $('#path').val();
	$.ajax({
    	type: 'POST',
        url: pathApp+'/app/form/'+name+'.php',
        data: {'path':path},
        success: function(data){
        	jQuery('#Activefile').html(data);
      }
    });
}

function setpath(path){ // Set path in input
	path = path.replace('//', '/');
	$('#path').val(path);
}

function load_info(path){ // Load information of file
	$.ajax({
    	type: 'POST',
        url: pathApp+'/app/file.php?info',
        data: { 'path':path},
        success: function(data){
        	$('#info').css('display','block');
        	$('#info').html(data);
     	}
  	});
}

function back(){ // function button Back
	var path = $('#path').val();
	var arr = path.split('/');
	var result = [];
	for (var i = 0; i < arr.length; i++) {
    	if ( i in arr ) {
    		if(arr[i] == ''){
    			arr.splice(i,1);
    		}
        	
    	}
	}
	dell = arr.pop();
	arr = arr.toString();
	arr = arr.replace(/,/g,"/");
	setpath(arr);
	load(arr);
}

jQuery(function($) {
$('body').on('click', '#btn',function(){
	var path = jQuery('#path').val();
	load(path);
});

$('body').on('click','.item',function(){
	$('.item').removeClass('active');
	$(this).addClass('active');
});


$('body').on('dblclick','.item',function(){
	$('.item').removeClass('active');
	var type = $(this).data('type');
	var path = $(this).data('path');
	var spath = $('#path').val()+'/'+path;
	if(type=='folder'){
		setpath(spath);
		load(spath);
	} else if(type == 'file') {
		load_info(spath);
	}
});

$('body').on('click','.close',function(){
	var name = $(this).data('block');
	close(name);
});

$('body').on('click','.button#drop_b',function(){
	$(this).find('ul.drop').toggleClass('active');
});

$('body').on('click', '#add_folder',function(){
	loadform('add_folder');
});

$('body').on('click','#addfolder',function(){
	path = $('#path').val();
	name = $('#namefolder').val();
	$.ajax({
    	type: 'POST',
        url: pathApp+'/app/file.php?addfolder',
        data: {'path':path,'name':name},
        success: function(data){
        	jQuery('#result').html(data);
      }
    });
});

$('body').on('click', '#add_file',function(){
	var display = $('#load_file').css('display');
	var path = $('#path').val();
	$('form#upload').attr('action',pathApp+'/app/file.php?upload&p='+path);
	if(display == 'none'){
		var param = 'block'; 
	} else {
		var param = 'none';
	}
	$('#load_file').css('display',param);
});


$('body').on('click','.item', function(){
	$('#test').val($(this).data('path'));
});


$('body').on('click', '#update',function(){
	load($('#path').val());
});

$('body').on('click', '#delete',function(){
	itemdelete();
});

$('body').on('click', '#rename',function(){
	var val = $('.item.active').data('path');
	var html = '<input type="text" id="newname" name="rename" style="width:100%;" value="'+val+'"><button id="ok">OK</button>';
	$('.item.active name').html(html);
});

$('body').on('click','name #ok', function(){
	rename();
});


$('body').on('click', '#download',function(){
	var type = $('.item.active').data('type');
	var path = $('#path').val();
	if(type == 'file'){
		var val = $('.item.active').data('path');
		location.href = pathApp+'/app/file.php?download&path='+path+'/'+val;
	}

});

});
window.onload=function(){
	load('');
}
 
var explorApp = function exp(name){
	var selector = '[name="'+name+'"]';
	$(selector).css('display','none');
	$(selector).before('<div id="explorApp"><img style="cursor: pointer;" data-input="'+name+'" src="'+explorpath+'/styles/img/image.png" width="140px" id="EAImage"><div style="text-align: center; width:140px;" id="EAname"><?=$L['noselect']?></div><div id="modal_form"><span id="modal_close">X</span><div id="section-load"></div></div><div id="overlay"></div></div>');
	setTimeout(function(){
		$('#modal_close').trigger('click');
	},1000);
} 

function explorAppStart(name){
		$('#overlay').fadeIn(400, function(){ 
			$('#modal_form') .css('display', 'block').animate({opacity: 1}, 200); 
		});
		$('#section-load').load(explorpath+'/index.php?input='+name);
}

jQuery(function($) {
	$('body').on('click', '#EAImage', function(){
		var name = $('#EAImage').data('input');
		explorAppStart(name);
	}); 

	$('body').on('click', '#modal_close, #overlay', function(){ 	
		$('#modal_form').animate({opacity: 0}, 200,function(){
					$(this).css('display', 'none');
					$('#overlay').fadeOut(400);
					$('#section-load').html('');			
		});
	});


	$('body').on('click','#select_file_input', function(){	
		var file = $('.item.active').data('path');
		var type = $('.item.active').data('type');
		var path = $('#path').val();
		filei = '<?=$_SERVER['REQUEST_SCHEME']?>://<?=$_SERVER['SERVER_NAME']?>/<?=$pathfiles?>/'+path+'/'+file;
		var input = $('#EAImage').data('input');
		$('[name="'+input+'"]').val(filei);
		setTimeout(function(){
			$('#modal_close').trigger('click');
		},1000);
		$('#EAImage').attr('src',explorpath+'/styles/img/ok_select.png');
		$('#EAname').html(file);
	});

	$('body').on('click','#Review', function(){
		$.getJSON("http://update.explorapp.net?callback=?", function(data){
     			if(data['version'] != '1.0.0'){
     				alert('<?=$L['have_upate']?>: '+data['version']);
     			} else {
     				alert('<?=$L['you_use_actual_version']?>');
     			}	
  		});
	});
});
